﻿/**Begin D:\pdmupgrade\PDM_UPGRADE\newpdm\PMFS_table.sql **/

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMFS_PROJECTREPORT') 
 CREATE TABLE T_PMFS_PROJECTREPORT (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(60) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FPROJECTSOURCE VARCHAR(30) DEFAULT ' ' NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FPROJECTNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FREPORTORGID BIGINT DEFAULT 0 NOT NULL,
FPROJECTKINDID BIGINT DEFAULT 0 NOT NULL,
FINVESTPERIOD VARCHAR(50) DEFAULT ' ' NOT NULL,
FINVESTDIRECTION VARCHAR(30) DEFAULT ' ' NOT NULL,
FINDUSTRYKINDID BIGINT DEFAULT 0 NOT NULL,
FINDUSTRYID BIGINT DEFAULT 0 NOT NULL,
FPROREGION VARCHAR(30) DEFAULT ' ' NOT NULL,
FPROJECTCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FTOTALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPROJECTORGID BIGINT DEFAULT 0 NOT NULL,
FIMPLEMENTORGID BIGINT DEFAULT 0 NOT NULL,
FPROLEADERID BIGINT DEFAULT 0 NOT NULL,
FLEADERCONTTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FISCOPYPRO CHAR(1) DEFAULT ' ' NOT NULL,
FCOPYTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FISPROVINCIALPRO CHAR(1) DEFAULT ' ' NOT NULL,
FISSPECIALPRO CHAR(1) DEFAULT ' ' NOT NULL,
FISPLANPRO CHAR(1) DEFAULT ' ' NOT NULL,
FANNUALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINTRODUCTION NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FBACKGROUND NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FPURPOSE NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FPROJECTRISK NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FSELFRESERCHID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMFS_PROJECTREPORT_A') 
 CREATE TABLE T_PMFS_PROJECTREPORT_A (
FID BIGINT DEFAULT 0 NOT NULL,
FISSELF CHAR(1) DEFAULT ' ' NOT NULL,
FFEASREPORTORGID BIGINT DEFAULT 0 NOT NULL,
FRISKCONTROLORGID BIGINT DEFAULT 0 NOT NULL,
FLEGALPROPOSALORGID BIGINT DEFAULT 0 NOT NULL,
FFULFILREPORTORGID BIGINT DEFAULT 0 NOT NULL,
FFEASREPORTDATE DATETIME,
FRISKCONTROLDATE DATETIME,
FLEGALPROPOSALDATE DATETIME,
FFULFILREPORTDATE DATETIME,
FMARKRESEARCH VARCHAR(255) DEFAULT ' ' NOT NULL,
FTECHNICALRESEARCH VARCHAR(255) DEFAULT ' ' NOT NULL,
FFINANCIALRESEARCH VARCHAR(255) DEFAULT ' ' NOT NULL,
FLAWRESEARCH VARCHAR(255) DEFAULT ' ' NOT NULL,
FRESEARCHRESULT VARCHAR(255) DEFAULT ' ' NOT NULL,
FRESEARCHRESULT_TAG NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMFS_PROJECTREPORT_L') 
 CREATE TABLE T_PMFS_PROJECTREPORT_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FINTRODUCTION NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FBACKGROUND NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FPURPOSE NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FPROJECTRISK NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMFS_FUNDSOURCE') 
 CREATE TABLE T_PMFS_FUNDSOURCE (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FFUNDSOURCETYPEID BIGINT DEFAULT 0 NOT NULL,
FCAPTIALFORM VARCHAR(50) DEFAULT ' ' NOT NULL,
FENTRYTOTALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENTRYANNUALAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FENTRYSCALE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENTRYREMARK VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMFS_MEASURES') 
 CREATE TABLE T_PMFS_MEASURES (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FINDEXNAMEID BIGINT DEFAULT 0 NOT NULL,
FDECLAREVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINDEXWARNLIGHT VARCHAR(30) DEFAULT ' ' NOT NULL
);



/**End D:\pdmupgrade\PDM_UPGRADE\newpdm\PMFS_table.sql **/
