﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PMFS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMFS_MAJORAPPROVAL') 
 CREATE TABLE T_PMFS_MAJORAPPROVAL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(60) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FAPPROVALDATE DATETIME,
FPECIALAPPRTYPEID BIGINT DEFAULT 0 NOT NULL,
FAPPROVALPERSONID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMFS_MAJORPROENRTY') 
 CREATE TABLE T_PMFS_MAJORPROENRTY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FREPORTBILLID BIGINT DEFAULT 0 NOT NULL,
FCURREPORTBILLID BIGINT DEFAULT 0 NOT NULL,
FPROLABEL VARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMFS_PROANNEXENTRY') 
 CREATE TABLE T_PMFS_PROANNEXENTRY (
FPKID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMFS_PRODETAILENRTY') 
 CREATE TABLE T_PMFS_PRODETAILENRTY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPROREPORTORG BIGINT DEFAULT 0 NOT NULL,
FPROREPORTPSONID BIGINT DEFAULT 0 NOT NULL,
FREPORTDATE DATETIME,
FOUTESTIMATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPROFITESTIMATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINESTIMATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRESULTNUMBERS BIGINT DEFAULT 0 NOT NULL,
FTASKNUMBERS BIGINT DEFAULT 0 NOT NULL,
FAPPROVALRESULT VARCHAR(30) DEFAULT ' ' NOT NULL,
FPRORESULT VARCHAR(30) DEFAULT ' ' NOT NULL,
FREPORTORGID BIGINT DEFAULT 0 NOT NULL,
FPROJECTNAME BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMFS_PRODETAILENRTY_L') 
 CREATE TABLE T_PMFS_PRODETAILENRTY_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESC NVARCHAR(510) DEFAULT ' ' NOT NULL,
FAPPROVALDESC NVARCHAR(510) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMFS_REPORTBILL') 
 CREATE TABLE T_PMFS_REPORTBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(60) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FREPORTDATE DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FREPORTPERSONID BIGINT DEFAULT 0 NOT NULL,
FOUTESTIMATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPROFITESTIMATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINESTIMATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRESULTNUMBERS BIGINT DEFAULT 0 NOT NULL,
FTASKNUMBERS BIGINT DEFAULT 0 NOT NULL,
FFSRESULT VARCHAR(30) DEFAULT ' ' NOT NULL,
FREPORTORGID BIGINT DEFAULT 0 NOT NULL,
FAPPROVALRESULT VARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMFS_REPORTBILL_L') 
 CREATE TABLE T_PMFS_REPORTBILL_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESC NVARCHAR(510) DEFAULT ' ' NOT NULL,
FAPPROVALDESC NVARCHAR(510) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMFS_REPORTBILLATTM') 
 CREATE TABLE T_PMFS_REPORTBILLATTM (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMFS_NEWREPORTBILL') 
 CREATE TABLE T_PMFS_NEWREPORTBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FREPORTPERSONID BIGINT DEFAULT 0 NOT NULL,
FREPORTDATE DATETIME,
FDECLAREORGID BIGINT DEFAULT 0 NOT NULL,
FSOURCEID BIGINT DEFAULT 0 NOT NULL,
FPARENTID BIGINT DEFAULT 0 NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FREPORTORGID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(60) DEFAULT ' ' NOT NULL,
FBILLID VARCHAR(255) DEFAULT ' ' NOT NULL,
FISNEW CHAR(1) DEFAULT '0' NOT NULL,
FOUTESTIMATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINESTIMATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRESULTNUMBERS BIGINT DEFAULT 0 NOT NULL,
FTASKNUMBERS BIGINT DEFAULT 0 NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PMFS_table.sql **/
