-- 后台定时任务：1.更新督导执行情况（实际完成时间、预警灯） 2.生成/修改完成记录

-- 预置调度任务类名数据
DELETE FROM T_SCH_TASKDEFINE where FID='1HE33JU+A/+S';
INSERT INTO T_SCH_TASKDEFINE (FID, FCLASSNAME, FNUMBER, FAPPID) VALUES ('1HE33JU+A/+S', 'kd.pmgt.pmfs.formplugin.supervision.UpdateSupervisionTask', 'UpdateSupervisionTask', 'pmfs');
DELETE FROM T_SCH_TASKDEFINE_L where FPKID in ('1HE33JU+6XF/', '1HE33JU+6XF0');
INSERT INTO T_SCH_TASKDEFINE_L (FPKID, FID, FLOCALEID, FNAME) VALUES ('1HE33JU+6XF/', '1HE33JU+A/+S', 'zh_CN', '更新督导执行情况及完成记录');
INSERT INTO T_SCH_TASKDEFINE_L (FPKID, FID, FLOCALEID, FNAME) VALUES ('1HE33JU+6XF0', '1HE33JU+A/+S', 'zh_TW', '更新督導執行情況及完成記錄');



-- 预置调度作业数据
DELETE FROM T_SCH_JOB where FID='1HE44UJLRGJB';
INSERT INTO T_SCH_JOB (FID, FJOBTYPE, FTASKCLASSNAME, FRUNBYUSERID, FNUMBER, FTASKDEFINEID, FSTATUS, FPARAMS, FTIMEOUT, FRUNBYORGID, FRUNBYLANG, FCONCURRENT, FRUNMODE, FSTRATEGY, FRETRYTIME) VALUES ('1HE44UJLRGJB', 'BIZ', 'kd.pmgt.pmfs.formplugin.supervision.UpdateSupervisionTask', '1102694775586551808', 'pmfs_updatesupervisiontask_SKDJ_S', '1HE33JU+A/+S', '1', ' ', '0', '0', ' ', '1', '0', '1', '0');

DELETE FROM T_SCH_JOB_L where FPKID in ('1HE44UJLND+K', '1HE44UJLND+L');
INSERT INTO T_SCH_JOB_L (FPKID, FID, FLOCALEID, FNAME) VALUES ('1HE44UJLND+K', '1HE44UJLRGJB', 'zh_CN', '更新督导执行情况及完成记录');
INSERT INTO T_SCH_JOB_L (FPKID, FID, FLOCALEID, FNAME) VALUES ('1HE44UJLND+L', '1HE44UJLRGJB', 'zh_TW', '更新督導執行情況及完成記錄');




-- 预置调度计划数据
DELETE FROM T_SCH_SCHEDULE where FID='1HE5X=LS2SBA';
INSERT INTO T_SCH_SCHEDULE (FID, FJOBID, FSTARTTIME, FENDTIME, FPLAN, FNUMBER, FSTATUS, FCYCLENUM, FHOST, FSUN, FSAT, FFRI, FTHUR, FWED, FTUES, FMON, FONE, FTWO, FTHIRTYONE, FTHIRTY, FTWENTYNINE, FTWENTYEIGHT, FTWENTYSEVEN, FTWENTYSIX, FTWENTYFIVE, FTWENTYFOUR, FTWENTYTHREE, FTWENTYTWO, FTWENTYONE, FTWENTY, FNINETEEN, FEIGHTEEN, FSEVENTEEN, FSIXTEEN, FFIFTEEN, FFOURTEEN, FTHIRTEEN, FTWELVE, FELEVEN, FTEN, FNINE, FEIGHT, FSEVEN, FSIX, FFIVE, FFOUR, FTHREE, FNO, FNOWEEK, FJAN, FDEC, FNOV, FOCT, FSEP, FAUG, FJUL, FJUN, FMAY, FAPR, FMAR, FFEB, FBYWEEK, FBYDAYORWEEK, FDESC, FREPEATMODE) VALUES ('1HE5X=LS2SBA', ' ', {ts'2021-03-01 00:00:00'}, {ts'2099-12-31 00:00:00'}, '0 0/15 0 * * ?', 'pmfs_updatesupervisiontask', '1', '15', '172.19.111.179', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', ' ', ' ', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'd', '事件将于2021-03-01 00:00:00起，

0时每15分钟重复。

预计最近十次执行时间：

2021-03-01 00:00:00,

2021-03-01 00:15:00,

2021-03-01 00:30:00,

2021-03-01 00:45:00,', 'mi');

DELETE FROM T_SCH_SCHEDULE_L where FPKID in ('1HE5X=LS+OSJ', '1HE5X=LS+OSK');
INSERT INTO T_SCH_SCHEDULE_L (FPKID, FID, FLOCALEID, FNAME) VALUES ('1HE5X=LS+OSJ', '1HE5X=LS2SBA', 'zh_CN', '更新督导执行情况及完成记录调度计划');
INSERT INTO T_SCH_SCHEDULE_L (FPKID, FID, FLOCALEID, FNAME) VALUES ('1HE5X=LS+OSK', '1HE5X=LS2SBA', 'zh_TW', '更新督導執行情況及完成記錄調度計劃');

DELETE FROM T_SCH_SCHEDULE_ENTRY where FID='1HE5X=LS2SBA';
INSERT INTO T_SCH_SCHEDULE_ENTRY (FID, FENTRYID, FSEQ, FJOBNUMBER) VALUES ('1HE5X=LS2SBA', '1HE5X=LS2SBB', '1', '1HE44UJLRGJB');

